# 美术阅卷管理端功能清单（联考版本）

# v0.2.0

# v0.1.0 -- **2020-02-01**

## 系统角色

- A：系统管理员（ADMIN）
- L：科组长（MARK_LEADER）
- M：阅卷员（MARKER）
- I：纪检员（INSPECTION）
- Q：质检员（QC）
- C：采集员（COLLECTOR）

## 页面功能

- 登录

### 管理页面

- 工作管理：新增、删除、设置当前工作。(A)
- 总览：(A)
  - 导出档位成绩、导出分数成绩。
  - 科目列表：科目信息（已上传、未采集、进度、当前阶段）
  - 导出缺考名单，进入评卷。
- 试卷管理：(A)
  - 筛选条件：科目，考区，起止编号，类型，姓名，排序方式。
  - 类型-手工绑定展示原图，其他类型展示裁切图。
  - 查看大图，左右查看，自动下一页。
- 设备管理：(A)
  - 按设备名称展示最近采集的图片。
  - 查看大图，左右查看。
- 考生管理：(A)
  - 导入考生信息、导入关联信息。
  - 新增考生、导出表格。
  - 筛选条件：考区，学校，考场，起止考号，姓名，是否缺考，是否上传，科目。
  - 已上传图片的考生不可再编辑信息。
- 采集设置：(A)
  - 账号设置：新增，编辑，启用禁用。
  - 参数设置：
    - 科目名称设置：
      - 编辑，禁用，保存。
      - 默认是三个科目，不可增加，不可删除，只能禁用。
    - 其他设置：
      - 是否整包扫描，图片是否加密，图片命名规则，试卷档位类型。
      - 不同阶段可编辑字段有差异。
  - 纪检账号：系统自动生成，只能重置密码，不可编辑账号。
- 分档设置：(A)
  - 档位设置：
    - 新增，编辑。
    - 不同阶段可编辑字段有差异。
    - 默认 A-K 档，不可删除。
  - 定档规则：
    - 仲裁档位差，系统自动打回，是否过半定档，阅卷员是否显示所有试卷。
    - 开始分档之后不允许修改。
  - 上传试题：
    - 各考区科目分别上传。
    - 已上传的会显示已上传信息，重复上传覆盖以前的。
- 打分设置：(A)
  - 打分设置：
    - 分数处理方式，阅卷员是否显示改档及改档打分，阅卷员是否显示所有试卷。
    - 进入打分之后不允许修改。
  - 图片导出：
    - 推荐使用采集端导出，这里可临时用。
    - 导出文件需要去服务器上寻找。
- 质量分析：(A)
  - 导出表格。
  - 筛选条件：科目，考区，时间段。
  - 档位分布图，累计偏差，累计误差，打回次数。
- 成绩查询：(A)
  - 筛选条件：科目，号码类型，号码和姓名(两则必填一个)。
  - 同名同姓的分页展示。
  - 科目信息动态展示，有几个科目成绩就展示几个科目。

### 评卷管理

**分档阶段**

- 分档进度：(A/L)
  - 创建试评：采集阶段。(A)
  - 正评任务创建：采集阶段，分档阶段。(A)
  - 导出标准卷信息，导出一键定档信息。(A)
  - 总体进度，科组长和评卷员进度。
  - 当前批次任务未完成前，不可再继续创建新的批次任务。
- 分档详情：(A/L)
  - 基本信息：当前阶段以及进度。
  - 导出表格。(A)
  - 筛选条件：考区，档位，打回，仲裁。
  - 统计信息展示。
  - 标准卷展示。
  - 评卷记录。(L)
  - 查看评卷信息。
  - 评卷，批量评卷。(L)
  - 查看大图，左右查看，自动下一页。
- 用户管理：(A)
  - 新建，编辑，删除，重置密码。
  - 导出表格。
  - 进入阶段前需要创建用户信息。
  - 评卷员默认允许分档打分。
  - 科组长可设置一键定档、设立标准卷、打回权限。
- 分档分组：(A)
  - 进入阶段前需要创建阶段分组信息，开始评卷之后不可再修改分组。
- 标准卷管理：(L)
  - 筛选条件：考区，档位。
  - 查看大图，左右查看，自动下一档位。
  - 可修改标准卷档位，但不可删除标准卷。
- 查看试卷：(L)
  - 分开区和科目展示。
- 分档评卷：(M)
  - 筛选条件：考区，档位(已评)，待评，打回。
  - 标准卷展示。
  - 评卷记录。
  - 查看评卷信息。
  - 评卷，批量评卷。
  - 查看大图，左右查看，自动下一页。

**打分阶段**

- 打分进度：(A/L)
  - 总体进度，科组长和评卷员进度。
- 任务发布：(A)
  - 筛选：考区。
  - 可以分批次发布任务。
  - 发布任务可选择各档位要发布的具体数量。
  - 当前考区还有未完成的任务时，不可再发布新任务。
  - 发任务前需要确保打分分组已经完成。
- 打分详情：(A/L)
  - 导出改档信息。(A)
  - 筛选条件：考区，档位，待评，改档。
  - 评卷记录。(L)
  - 查看评卷信息。
  - 打回。(L)
  - 查看大图，左右查看，自动下一页。
- 用户管理：(A)
  - 同分档阶段。
- 打分分组：(A/L)
  - 进入阶段后需要创建阶段分组信息，发布任务之后，开始评卷之后不可再修改分组。
- 查看试卷：(L)
  - 同分档阶段。
- 打分评卷：(M)
  - 筛选条件：考区，档位(已评)，待评，改档，改档打分。
  - 评卷记录。
  - 查看评卷信息。
  - 评卷。
  - 查看大图，左右查看，自动下一页。

### 纪检页面

- 操作日志：
  - 筛选条件：工作，科目，考号，姓名，操作类型，时间段。
  - 导出操作日志。
- 采集日志：
  - 筛选条件：工作，科目，考号，姓名，采集账号，时间段。
- 改档处理：
  - 筛选条件：工作，科目，考区，是否处理。
  - 查看大图，左右查看，自动下一页。
- 成绩查询：
  - 筛选条件：工作，科目，考区，号码类型，号码，姓名。
  - 同管理员成绩查询。

#### 质检页面

- 质检页面：
  - 筛选条件：工作，科目，考区，起止编号，类型，姓名，排序方式。
  - 标记缺考，旋转图片。
  - 查看大图，左右查看，自动下一页。

## 其他功能

- 管理员不可修改登录密码。
