export const main = [
  {
    name: "WorkManage",
    title: "工作文件夹",
    icon: "ivu-icon-files"
  },
  {
    name: "WorkOverview",
    title: "总览",
    icon: "ivu-icon-overview"
  },
  {
    name: "PaperManage",
    title: "试卷管理",
    icon: "ivu-icon-paper"
  },
  {
    name: "ClientMonitor",
    title: "设备监控",
    icon: "ivu-icon-monitor"
  },
  {
    name: "StudentManage",
    title: "考生管理",
    icon: "ivu-icon-student"
  },
  {
    name: "ClientSet",
    title: "采集设置",
    icon: "ivu-icon-recode"
  },
  {
    name: "GradingSet",
    title: "分档设置",
    icon: "ivu-icon-grade-set"
  },
  {
    name: "MarkSet",
    title: "打分设置",
    icon: "ivu-icon-score-set"
  },
  {
    name: "QualityAnalysis",
    title: "质量分析",
    icon: "ivu-icon-analysis"
  },
  {
    name: "StudentScore",
    title: "成绩查询",
    icon: "ivu-icon-score"
  },
  {
    name: "CheckData",
    title: "数据校验",
    icon: "ivu-icon-task"
  }
];

export const clientSet = [
  {
    name: "ClientAccountSet",
    title: "账号设置"
  },
  {
    name: "ClientParamSet",
    title: "参数设置"
  },
  {
    name: "InspectionAccountSet",
    title: "纪检账号"
  }
];

export const gradingSet = [
  {
    name: "GradingLevelSet",
    title: "档位设置"
  },
  {
    name: "GradingRuleSet",
    title: "定档规则"
  },
  {
    name: "UploadPaper",
    title: "上传试题"
  }
];

export const markSet = [
  {
    name: "MarkRuleSet",
    title: "打分设置"
  },
  {
    name: "ExportPaper",
    title: "图片导出"
  }
];

export const grading = [
  {
    name: "GradingProgress",
    title: "分档进度",
    icon: "ivu-icon-progress"
  },
  {
    name: "GradingDetail",
    title: "分档详情",
    icon: "ivu-icon-score-detail"
  },
  {
    name: "GradingAnalysis",
    title: "分档统计",
    icon: "ivu-icon-score-detail"
  },
  {
    name: "GradingUserManage",
    title: "用户管理",
    icon: "ivu-icon-student"
  },
  {
    name: "GradingGroupManage",
    title: "分档分组",
    icon: "ivu-icon-group"
  },
  {
    name: "GradingStandardPaperManage",
    title: "标准卷管理",
    icon: "ivu-icon-score"
  },
  {
    name: "ExamPaperView",
    title: "查看试卷",
    icon: "ivu-icon-view"
  }
];

export const mark = [
  {
    name: "MarkProgress",
    title: "打分进度",
    icon: "ivu-icon-progress"
  },
  {
    name: "MarkTaskManage",
    title: "任务发布",
    icon: "ivu-icon-task"
  },
  {
    name: "MarkDetail",
    title: "打分详情",
    icon: "ivu-icon-score-detail"
  },
  {
    name: "MarkUserManage",
    title: "用户管理",
    icon: "ivu-icon-student"
  },
  {
    name: "MarkGroupManage",
    title: "打分分组",
    icon: "ivu-icon-group"
  },
  {
    name: "MarkExamPaperView",
    title: "查看试卷",
    icon: "ivu-icon-view"
  }
];

export const inspection = [
  {
    name: "InspectionActionLogs",
    title: "操作日志",
    icon: "ivu-icon-logs"
  },
  {
    name: "InspectionCollectLogs",
    title: "采集日志",
    icon: "ivu-icon-recode"
  },
  {
    name: "InspectionGrading",
    title: "改档处理",
    icon: "ivu-icon-change"
  },
  {
    name: "InspectionScore",
    title: "成绩查询",
    icon: "ivu-icon-score"
  }
];

// const getLeadRouter = () => {
//   let leadGrade = grading.map(item => item.name);
//   leadGrade.splice(3, 2);
//   let leadMark = mark.map(item => item.name);
//   leadMark.splice(1, 1);
//   leadMark.splice(2, 1);
//   return [...leadGrade, ...leadMark];
// };

const getAdminRouter = () => {
  let leadGrade = grading.map(item => item.name).slice(0, -2);
  let leadMark = mark.map(item => item.name).slice(0, -1);
  return [
    ...leadGrade,
    ...leadMark,
    ...main.map(item => item.name),
    ...clientSet.map(item => item.name),
    ...gradingSet.map(item => item.name),
    ...markSet.map(item => item.name)
  ];
};

export const checkRouterValid = (roleCode, routerName) => {
  const func = {
    ADMIN: getAdminRouter,
    MARKER: () => [
      "GradingOperation",
      "MarkOperation",
      "MarkerGrading",
      "MarkerMarking"
    ],
    MARK_LEADER: () => ["LeaderGrading", "LeaderMarking"],
    INSPECTION: () => inspection.map(item => item.name),
    QC: () => ["Quality"]
  };

  const validList = func[roleCode]();
  return validList.includes(routerName);
};
